You are not logged in.

#1 2016-01-27 20:56:34

npisanti
New Member
Registered: 2016-01-27
Posts: 3

[FIXED]Invalid output from pipe-menu "bl-****-pipemenu"

Hi everyone, after updating my system today i noticed that many pipemenus don't work any more, when i hover them with the mouse in the openbox menu the message "Invalid output from pipe-menu "bl-****-pipemenu" is emitted, specifically all the bl pipe-menus that require "bl-include.cfg"

i've tried running them from the console

nick@gimel:~$ bl-help-pipemenu 
Error: Failed to locate bl-include.cfg in /usr/lib/bunsen/bunsen-common

my but my bl-include.cfg is in place

nick@gimel:~$ cd /usr/lib/bunsen/bunsen-common/
nick@gimel:/usr/lib/bunsen/bunsen-common$ ls -l
total 12
-rw-r--r-- 1 root root 10824 Jan 27 12:51 bl-include.cfg

Offline

#2 2016-01-27 21:07:40

lamarca
Member
From: rio de janeiro
Registered: 2015-11-27
Posts: 277
Website

Re: [FIXED]Invalid output from pipe-menu "bl-****-pipemenu"

same here.

invalid output from pipe-menu "bl-multimedia-pipemenu"


"A man is a wolf to another man"

Offline

#3 2016-01-27 21:28:34

hhh
That's easy!
Registered: 2015-09-17
Posts: 6,106
Website

Re: [FIXED]Invalid output from pipe-menu "bl-****-pipemenu"

Thanks for the report, to The Batcave!

I know @twoion just rebuilt the packages but I'm not sure if it's the commits from 9 days ago or if it's being caused by another package. https://github.com/BunsenLabs/bunsen-pipemenus/

We'll get it sorted, thanks for your patience.

Offline

#4 2016-01-27 22:03:26

tilt
New Member
Registered: 2016-01-27
Posts: 3

Re: [FIXED]Invalid output from pipe-menu "bl-****-pipemenu"

+1 same here.

Offline

#5 2016-01-28 00:20:43

damo
....moderator....
Registered: 2015-08-20
Posts: 4,382

Re: [FIXED]Invalid output from pipe-menu "bl-****-pipemenu"

Temporary "fix" to get the pipemenus working again. USE AT YOUR OWN RISK!!

I've found the last good commit on github, which will get the menu working properly at least. However, dialog and update scripts may not work!!. This might tide you over until the grownup scripters find out where the problem lies...

bl-include.cfg commit #97f9a9b


EDIT: there is a problem within the "## Apt-get functions" section in `/usr/lib/bunse/bunsen-common/bl-include.cfg`, which were edited recently. If these lines are commented out then the pipemenus will run OK. ie Comment out from line 292 to the end

Last edited by damo (2016-01-28 00:39:40)


Be Excellent to Each Other...

FORUM RULES and posting guidelines «» Help page for forum post formatting
Artwork on DeviantArt  «» BunsenLabs on DeviantArt

Offline

#6 2016-01-28 00:46:19

johnraff
nullglob
From: Nagoya, Japan
Registered: 2015-09-09
Posts: 4,677
Website

Re: [FIXED]Invalid output from pipe-menu "bl-****-pipemenu"

Uh-oh awfully sorry about this.
Normal service will be resumed ASAP...


John
--------------------
( a boring Japan blog , Japan Links, idle twitterings  and GitStuff )
In case you forget, the rules.

Offline

#7 2016-01-28 01:56:47

johnraff
nullglob
From: Nagoya, Japan
Registered: 2015-09-09
Posts: 4,677
Website

Re: [FIXED]Invalid output from pipe-menu "bl-****-pipemenu"

OK we've found the bug - a missing "then" in bl-include.cfg.
The fix will be in the repos for upgrading sometime today I expect.

If you want to fix it right now, open /usr/lib/bunsen/bunsen-common/bl-include.cfg (as root) and after line 300 add

    then

so that section looks like this:

    if apt_error=$(LC_MESSAGES=C sudo apt-get update 2>&1 >/dev/tty) && {
            [[ -z "$apt_error" ]] || ! grep -iqEv "(${ignore_string:-$^}|^$)" <<<"$apt_error"
            }
    then
        say 'Finished update'
        return 0
    else
        errorExit 'There were problems during the update.' "$apt_error"
        return 1
    fi

Last edited by johnraff (2016-01-28 03:35:11)


John
--------------------
( a boring Japan blog , Japan Links, idle twitterings  and GitStuff )
In case you forget, the rules.

Offline

#8 2016-01-28 02:25:48

hhh
That's easy!
Registered: 2015-09-17
Posts: 6,106
Website

Re: [FIXED]Invalid output from pipe-menu "bl-****-pipemenu"

Nice, gents!

-edit- Head's up, there's an obvious typo here.

/usr/lib/bunse/bunsen-common/bl-include.cfg

Offline

#9 2016-01-28 03:35:32

johnraff
nullglob
From: Nagoya, Japan
Registered: 2015-09-09
Posts: 4,677
Website

Re: [FIXED]Invalid output from pipe-menu "bl-****-pipemenu"

^yes!
Now fixed - thanks.


John
--------------------
( a boring Japan blog , Japan Links, idle twitterings  and GitStuff )
In case you forget, the rules.

Offline

#10 2016-01-28 04:11:01

Carel_Lubbe
New Member
Registered: 2015-12-31
Posts: 1

Re: [FIXED]Invalid output from pipe-menu "bl-****-pipemenu"

Hi team,

After my system update this morning.... I have the same problem.

Is there a fix for this yet?

Regards,
Carel

Offline

#11 2016-01-28 05:10:10

balloon
Member
Registered: 2015-11-21
Posts: 39

Re: [FIXED]Invalid output from pipe-menu "bl-****-pipemenu"

Welcome Carel_Lubbe. big_smile

Just this fixes were made. (Check the post time)
This is probably in a few hours at the earliest is being reflected in our BunsenLabs.

Offline

#12 2016-01-28 05:10:27

johnraff
nullglob
From: Nagoya, Japan
Registered: 2015-09-09
Posts: 4,677
Website

Re: [FIXED]Invalid output from pipe-menu "bl-****-pipemenu"


John
--------------------
( a boring Japan blog , Japan Links, idle twitterings  and GitStuff )
In case you forget, the rules.

Offline

#13 2016-01-28 11:50:11

twoion
ほやほや
Registered: 2015-08-10
Posts: 2,230

Re: [FIXED]Invalid output from pipe-menu "bl-****-pipemenu"

New package is now in the repos; updating will fix the issue.


Im grünen Wald, dort wo die Drossel singt…

Online

#14 2016-01-28 15:27:59

npisanti
New Member
Registered: 2016-01-27
Posts: 3

Re: [FIXED]Invalid output from pipe-menu "bl-****-pipemenu"

fixed with johnraff edit, then dist-upgraded and still working, thanks!

Offline

#15 2016-01-28 22:05:27

hhh
That's easy!
Registered: 2015-09-17
Posts: 6,106
Website

Re: [FIXED]Invalid output from pipe-menu "bl-****-pipemenu"

Marking this [FIXED]

Offline

#16 2018-03-19 13:46:42

Gumby
Member
Registered: 2018-03-19
Posts: 9

Re: [FIXED]Invalid output from pipe-menu "bl-****-pipemenu"

hello my friends. a little help here, i cant find the file to do the edit, can someone help?
x\ mine is wrong in pipemenu recent-files same stuff.

Offline

#17 2018-03-19 14:16:02

martix
Kim Jong-un Stunt Double
Registered: 2016-02-19
Posts: 1,267

Re: [FIXED]Invalid output from pipe-menu "bl-****-pipemenu"

@Gumby Do you mean when you go to Menu/Recent Files -> there is no proper output?

If this is the issue, could you check by opening: Menu/Preferences/Openbox/Edit menu.xml   if there is (around line 180)

<menu execute="bl-recent-files-pipemenu -rl15" id="pipe-recentfilesmenu" label="Recent Files"/>

this line in the file? At least this is how it works for me.

Offline

#18 2018-03-19 14:28:22

Gumby
Member
Registered: 2018-03-19
Posts: 9

Re: [FIXED]Invalid output from pipe-menu "bl-****-pipemenu"

wow thanks for quick reply, well the line is there(189) but not working, everytime i pass my mouse it pops up the dialog. can u help?
I just cant find the lib file johnraff said...idk why sad

Offline

#19 2018-03-19 14:42:07

martix
Kim Jong-un Stunt Double
Registered: 2016-02-19
Posts: 1,267

Re: [FIXED]Invalid output from pipe-menu "bl-****-pipemenu"

^Do you mean this: /usr/lib/bunsen/bunsen-common/bl-include.cfg?

I think it is now /usr/lib/bunsen/common/bl-include.cfg.

The place might have changed too, maybe around line 350 - but you have to carefully check if then is really missing.

Offline

#20 2018-03-19 14:59:44

Gumby
Member
Registered: 2018-03-19
Posts: 9

Re: [FIXED]Invalid output from pipe-menu "bl-****-pipemenu"

yes my friend, i cant find the directory bunsen, cant open... can u paste how you open from terminal?

Offline

#21 2018-03-19 15:14:24

martix
Kim Jong-un Stunt Double
Registered: 2016-02-19
Posts: 1,267

Re: [FIXED]Invalid output from pipe-menu "bl-****-pipemenu"

There is Catfish in Menu/Accessories/Catfish File Search. If you put bl-include.cfg there and use "File System" on the left, it will show in which folder it is. Otherwise you can open it (if the path above is correct) by

sudo geany /usr/lib/bunsen/common/bl-include.cfg

Edit Forgot to mention: In terminal you can also use   locate bl-include.cfg   to figure out the correct path for that file.

Last edited by martix (2018-03-19 15:20:29)

Offline

#22 2018-03-20 12:44:31

Gumby
Member
Registered: 2018-03-19
Posts: 9

Re: [FIXED]Invalid output from pipe-menu "bl-****-pipemenu"

thank you sir, i could finally open file, sorry im newbie, but learning, still cant figure it out whats going on, here is how my is :

local apt_error
    if apt_error=$(LC_MESSAGES=C sudo apt-get update 2>&1 >/dev/tty) && {
            [[ -z "$apt_error" ]] || ! grep -iqEv "(${ignore_string:-$^}|^$)" <<<"$apt_error"
            }
    then
        say 'Finished update' 1
        return 0
    else
        errorExit 'There were problems during the update.' "$apt_error"
        return 1
    fi
}
still not working friends.

Offline

#23 2018-03-20 12:50:42

Gumby
Member
Registered: 2018-03-19
Posts: 9

Re: [FIXED]Invalid output from pipe-menu "bl-****-pipemenu"

martix wrote:

@Gumby Do you mean when you go to Menu/Recent Files -> there is no proper output?

If this is the issue, could you check by opening: Menu/Preferences/Openbox/Edit menu.xml   if there is (around line 180)

<menu execute="bl-recent-files-pipemenu -rl15" id="pipe-recentfilesmenu" label="Recent Files"/>

this line in the file? At least this is how it works for me.

this still my problem, the updates etc are good, the main issue is, when i pass my mouse thrue the recent files it pops the message: invalid output from pipe-menu "bl-recent-files-pipemenu -rl15"

need help!

Offline

#24 2018-03-20 17:38:04

martix
Kim Jong-un Stunt Double
Registered: 2016-02-19
Posts: 1,267

Re: [FIXED]Invalid output from pipe-menu "bl-****-pipemenu"

@Gumby The only difference I could spot is that you have "say 'Finished update' 1" in post #22, while in post #7 it's without "1". Try to correct it and just to be sure make a "sudo apt update" and "sudo apt upgrade". You can try to restart openbox too (Menu/Preferences/Openbox/Restart). Let's see if it works.

Offline

Board footer

Powered by FluxBB